Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class BeanPropertySource

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.BeanPropertySource

All Implemented Interfaces:
  IPropertyChangeProvider, org.eclipse.ui.views.properties.IPropertySource, org.eclipse.ui.views.properties.IPropertySource2

    public class BeanPropertySource

extends java.lang.Object
implements org.eclipse.ui.views.properties.IPropertySource, org.eclipse.ui.views.properties.IPropertySource2, IPropertyChangeProvider

The Class BeanPropertySource.

Constructor Summary
`BeanPropertySource(java.lang.Object source)` Instantiates a new bean property source.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Adds the property change listener.
`java.lang.Object` | `getEditableValue()`
`org.eclipse.ui.views.properties.IPropertyDescriptor[]` | `getPropertyDescriptors()`
`java.lang.Object` | `getPropertyValue(java.lang.Object id)`
`java.lang.Object` | `getValue(java.beans.PropertyDescriptor descriptor)` Gets the value.
`boolean` | `isPropertyResettable(java.lang.Object id)`
`boolean` | `isPropertySet(java.lang.Object id)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` Removes the property change listener.
`void` | `resetPropertyValue(java.lang.Object id)`
`void` | `setAsObject(java.beans.PropertyDescriptor descriptor, java.lang.Object value)` Sets the as object.
`void` | `setPropertyValue(java.lang.Object id, java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanPropertySource

    public BeanPropertySource(java.lang.Object source)

  Instantiates a new bean property source.

  Parameters:
    `source` - the source

Method Detail

### getEditableValue

    public java.lang.Object getEditableValue()

  Specified by:
    `getEditableValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Returns:
  See Also:
    `IPropertySource.getEditableValue()`

### getPropertyDescriptors

    public org.eclipse.ui.views.properties.IPropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Returns:
  See Also:
    `IPropertySource.getPropertyDescriptors()`

### getValue

    public java.lang.Object getValue(java.beans.PropertyDescriptor descriptor)

  Gets the value.

  Parameters:
    `descriptor` - the descriptor
  Returns:
    the value

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object id)

  Specified by:
    `getPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Parameters:
    `id` -
  Returns:
  See Also:
    `IPropertySource.getPropertyValue(java.lang.Object)`

### isPropertySet

    public boolean isPropertySet(java.lang.Object id)

  Specified by:
    `isPropertySet` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Specified by:
    `isPropertySet` in interface `org.eclipse.ui.views.properties.IPropertySource2`
  Parameters:
    `id` -
  Returns:
  See Also:
    `IPropertySource.isPropertySet(java.lang.Object)`

### setAsObject

    public void setAsObject(java.beans.PropertyDescriptor descriptor,
                            java.lang.Object value)
                     throws java.lang.reflect.InvocationTargetException,
                            java.lang.IllegalArgumentException

  Sets the as object.

  Parameters:
    `descriptor` - the descriptor
    `value` - the value
  Throws:
    `java.lang.reflect.InvocationTargetException` - the invocation target exception
    `java.lang.IllegalArgumentException` - the illegal argument exception

### setPropertyValue

    public void setPropertyValue(java.lang.Object id,
                                 java.lang.Object value)

  Specified by:
    `setPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Parameters:
    `id` -
    `value` -
  See Also:
    `IPropertySource.setPropertyValue(java.lang.Object, java.lang.Object)`

### isPropertyResettable

    public boolean isPropertyResettable(java.lang.Object id)

  Specified by:
    `isPropertyResettable` in interface `org.eclipse.ui.views.properties.IPropertySource2`
  Parameters:
    `id` -
  Returns:
  See Also:
    `IPropertySource2.isPropertyResettable(java.lang.Object)`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Description copied from interface: `IPropertyChangeProvider`
  Adds the property change listener.

  Specified by:
    `addPropertyChangeListener` in interface `IPropertyChangeProvider`
  Parameters:
    `l` -
  See Also:
    `IPropertyChangeProvider.addPropertyChangeListener(java.beans.PropertyChangeListener)`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Description copied from interface: `IPropertyChangeProvider`
  Removes the property change listener.

  Specified by:
    `removePropertyChangeListener` in interface `IPropertyChangeProvider`
  Parameters:
    `l` -
  See Also:
    `IPropertyChangeProvider.removePropertyChangeListener(java.beans.PropertyChangeListener)`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object id)

  Specified by:
    `resetPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Parameters:
    `id` -
  See Also:
    `IPropertySource.resetPropertyValue(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD